Package org.silverpeas.components.gallery.web

# Enum Class MediaSort

java.lang.Object
java.lang.Enum<MediaSort>
org.silverpeas.components.gallery.web.MediaSort

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaSort>`, `Constable`

public enum MediaSort extends Enum<MediaSort>
This enumeration defines functional sorting rules. All the rule defines can be defined as not exposed to the user (displayed parameter).

Author:
  Yohann Chastagnier

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Author`
  `CreationDateAsc`
  `CreationDateDesc`
  `Definition`
  `Size`
  `Title`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Set<MediaSort>`
  `ALL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MediaSort`
  `from(String type)`
  `String`
  `getBundleKey()`
  Gets the bundle key in order to perform right label into the user language.
  `String`
  `getName()`
  `boolean`
  `isDisplayed()`
  Indicates if the sorting rule can be displayed to the user.
  `void`
  `perform(List<Media> mediaList)`
  Sorts of the specified list.
  `static MediaSort`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MediaSort[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CreationDateAsc

    public static final MediaSort CreationDateAsc

  - ### CreationDateDesc

    public static final MediaSort CreationDateDesc

  - ### Title

    public static final MediaSort Title

  - ### Size

    public static final MediaSort Size

  - ### Author

    public static final MediaSort Author

  - ### Definition

    public static final MediaSort Definition

- ## Field Details

  - ### ALL

    public static final Set<MediaSort> ALL

- ## Method Details

  - ### values

    public static MediaSort[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MediaSort valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### from

    public static MediaSort from(String type)

  - ### getName

    public String getName()

  - ### isDisplayed

    public boolean isDisplayed()
    Indicates if the sorting rule can be displayed to the user.
    Returns:
      true if the rule can be displayed, false otherwise.

  - ### getBundleKey

    public String getBundleKey()
    Gets the bundle key in order to perform right label into the user language.
    Returns:
      the label bundle key.

  - ### perform

    public void perform(List<Media> mediaList)
    Sorts of the specified list.
    Parameters:
      `mediaList` - the list of media to sort